Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.schema
Interface SuperSubclass

All Superinterfaces:
  Comparable, Rateable, Serializable

All Known Implementing Classes:
  SuperSubclassImpl

public interface SuperSubclass
extends Rateable, Comparable

This is a wrapper interface for special associations that manage the superclass-subclass-relationship between two topics.

Note that while this interface is of type Rateable, the RatingManager cannot assign ratings to SuperSubclass objects directly. Instead, it assigns the rating to the wrapped association. Therefore, an implementation simply delegates all Rateable methods to the wrapped association.

The OntologyManager is responsible for creating and managing objects of this type.

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  `RatingManager`, `OntologyManager`, `Topic`

Method Summary
`Topic` | `getSubclass()` Returns the subclass topic of a superclass-subclass-relationship between two topics.
`Topic` | `getSuperclass()` Returns the superclass topic of a superclass-subclass-relationship between two topics.

Methods inherited from interface de.uka.ipd.consensus.foundation.schema.Rateable
`addRating, getAverageRatingValue, getId, getRating, getRatings, getRatingsCount`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getSuperclass

    public Topic getSuperclass()

  Returns the superclass topic of a superclass-subclass-relationship between two topics.

  Returns:
    the superclass topic, never `null`

### getSubclass

    public Topic getSubclass()

  Returns the subclass topic of a superclass-subclass-relationship between two topics.

  Returns:
    the subclass topic, never `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD